Jump to content

Recommended Posts

  • Replies 2.6k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Posted Images

Je commence à en avoir un tout petit peu super marre de passer mon temps à tuer les villageois sur le lobby. Donc : je met prism et un bannissement automatique sur tout spawn d'entité.

Link to comment
Share on other sites

Est-ce cela qui explique les drôles de réactions de la table d'enchant', elle à toujours 3 lapis que l'on ne peut enlever, et le fonctionnement est redevenu comme avant, le moindre enchant' coûte deux bras, sauf que maintenant, en plus, ça coûte aussi du lapis… bref

Bug du client je pense, vais aller bafouiller sur le bugtracker :/

Et sur le recrut, on est en survival ou le creative est possible ?

Link to comment
Share on other sites

Ok, donc la construction de notre ami Zeebix qui vient d'apparaître au spawn est un élément du décor, et cela explique aussi pourquoi il y'a des flying player ;)

J'ai prévu d'être tranquille ce soir, je serai sur TS, il faudrait que l'on me fasse un topo sur WG, histoire que je configure un peu tout ça.

J'ai essayé, mais j'ai pas le droit de "define" ni de rien en fait sauf clicks droit et gauche avec la hache magique.

Et si je dois surveiller tout ça, il vaudrait mieux que je sache m'en servir non ? ;)

Link to comment
Share on other sites

Est-ce cela qui explique les drôles de réactions de la table d'enchant', elle à toujours 3 lapis que l'on ne peut enlever, et le fonctionnement est redevenu comme avant, le moindre enchant' coûte deux bras, sauf que maintenant, en plus, ça coûte aussi du lapis… bref

Bug du client je pense, vais aller bafouiller sur le bugtracker :/

Et sur le recrut, on est en survival ou le creative est possible ?

Le truc est, en tous cas pour la V1, que le client est en 1.8 mais la version du serveur toujours encore en 1.7 (seulement "compatible" avec la 1.8 ) donc pour les enchants, c'est encore comme avant. Les lapis sont là mais pas vraiment, tu ne peux pas les enlever mais tu en a pas besoin non-plus pour enchanter un objet, il suffit de les laisser là où ils sont. ;)

Edited by ASSKICK
Link to comment
Share on other sites

Ah ok, je me disais aussi, le fait que l’on ne puisse pas les enlever de la table m’a fait réfléchir… j’imaginais bien un truc dans le genre ;)

Et le bug des stacks de portes en bois, je suis le seul où bien (je suis en train de faire un bug report, mais c’est chaud in english :o )

Pas de souci pour ta construction Zeebix, juste que pour passer le temps, tu as une map complète pour ça, évitons de dénaturer le spawn dans un premier temps.

En papotant avec mes enfants, on a imaginé un spawn sans aucunes indications (ou très peu), de manière à voir comment s’en sortiront ceux qui se pointeront.

Certains s’en iront sans réfléchir plus que ça, mais d’autres se baladeront dans le coin et découvriront alors ce que ce monde peut leur offrir.

La petite maison près du spawn (l’ancienne de mon grand fils) pourrait apparaître comme la cabane du pionnier (soyons RP où pas), mise à disposition des visiteurs et servant de point de départ aux futurs aventuriers.

Deux trois panneaux pour leurs expliquer les règles de bienséances, dire bonjour et tout et tout.

Mais à la limite, pas de constructions sauf cette petite maison (oui je sais, notre ami Maxscript squatte l’endroit, mais si ça ne le dérange pas d’aller se faire une vraie maison à lui plus loin, ce serait cool).

Par un petit jeu de piste simple, genre, suivez les torches… ils trouveront la montagne du sud, où je suis avec Calder et mes enfants, et là ils trouveront les règles complètes dans un petit bâtiment dédié que Zeebix va se faire un plaisir de nous construire pour passer le temps ;)

Mais comme ce sera chez moi, j’aimerais, autant que faire se peut, valider l’architecture avant ;)

Et s’ils se baladent encore plus ils trouveront les constructions des autres membres, permanents ou pas…

Par la suite, et comme de toute manière la map risque d’être réinitialisée régulièrement, les candidats seront invités à faire leurs preuves dans une zone un peu éloignée du spawn comme ça on garde un spawn naturel, ou presque ;)

En gros, le recrutement sera conditionné par des actions simples, logiques et très… Vanillia ;)

Celui qui ne s’en sort pas… euh… comment dire… :transpi:

Sinon, je propose hein, je ne suis pas non plus LE décideur, je ne suis qu’un humble concierge (faut que je corrige la faute sur le panneau de ma mine :o ) qui sera amené à contrôler tout ça dans le temps, votre avis est le bienvenu… aussi… surtout ;)

[Edith]

Une idée comme ça, les visiteurs devront trouver un bouton caché, activant le /feed via un bloc de commande.

Soit ils le trouvent, soit ils meurent de faim, et s'ils meurent de faim => blacklist ;)

Ensuite, ils doivent trouver la maison du concierge et faire acte de candidature, là aussi ce pourrait être un bouton activant le build pour 14 jours…

Moi je vérifie régulièrement les candidatures, surveille les constructions, accorde des délais à ceux qui font des choses sympas mais qui comme moi sont plutôt lents… bref, mon taf quoi ;)

[/Edith]

Edited by MaamuT
Link to comment
Share on other sites

Ah ok, je me disais aussi, le fait que l’on ne puisse pas les enlever de la table m’a fait réfléchir… j’imaginais bien un truc dans le genre ;)

Et le bug des stacks de portes en bois, je suis le seul où bien (je suis en train de faire un bug report, mais c’est chaud in english :o )

Une idée comme ça, les visiteurs devront trouver un bouton caché, activant le /feed via un bloc de commande.

Soit ils le trouvent, soit ils meurent de faim, et s'ils meurent de faim => blacklist ;)

Les portes stack en 1.8, pas en 1.7 ;) j'ai remarqué qu'il y a quelques bug d'affichage pendant le craft, mais ça se remet en place tout seul, comme pour les barrières en boit ça donne bizarre aussi, je dois sortir de la table pour enlever l'affichage de 0 sticks et des sticks qui sont retournés dans mon inventaire. :mad2:

 

C'est un peu méchant ça le coup du "trouves le bouton sinon blacklist" :transpi: c'est pas parce qu’ils sont mauvais en puzzle qu'il sont des mauvais joueurs ou qu'ils ont des mauvaises intentions.

 

(Par contre pour le bouton caché, je peux aider) :devil:

Link to comment
Share on other sites

Mais à la limite, pas de constructions sauf cette petite maison (oui je sais, notre ami Maxscript squatte l’endroit, mais si ça ne le dérange pas d’aller se faire une vraie maison à lui plus loin, ce serait cool).

Par un petit jeu de piste simple, genre, suivez les torches… ils trouveront la montagne du sud, où je suis avec Calder et mes enfants, et là ils trouveront les règles complètes dans un petit bâtiment dédié que Zeebix va se faire un plaisir de nous construire pour passer le temps ;)

 

 

ça ne me dérange aucunement de tout raser / relocaliser etc.. j'attends surtout la v2 et j'avais cru comprendre que le serveur de recrutement devait être wipe régulièrement..

Link to comment
Share on other sites

Pas tout raser, aménager le truc pour en faire la cabane du pionnier, un truc RP sympa, pas trop évolué mais bien pensé quand même, une chouette première maison comme on en fait tous au début de nos aventures Minecraft.

 

La seule construction permanente du spawn, la première, celle du début, elle serait visitable par les "visiteurs", mais on ne peux rien prendre ni modifier dans la zone (sauf modos et proprios).

 

Un peu comme si le Recrut' avait démarré en solo, puis évolué petit à petit.

 

Et on y mettrais un ou deux indices pour trouver le bouton Feed ;)

Link to comment
Share on other sites

Très simple : file moi un batch qui soit capable d'être dans /Etc/init.d et de lancer la commande suivante : "java -server -Xms1G -Xmx1G -jar BungeeCord.jar" danbs le path /home/minecraft/bungee.


Je capte pas cette histoire de bouton feed, les mecs qui débarquent sur le serv recrutement ne sont pas déjà membre de celui-ci pour faire leurs preuves ?

La candidature reste obligatoire, la différence c'est qu'on accepte absolument tout le monde.

Link to comment
Share on other sites

Je capte pas cette histoire de bouton feed, les mecs qui débarquent sur le serv recrutement ne sont pas déjà membre de celui-ci pour faire leurs preuves ?

Non pas, le serveur de recrutement est public, ensuite, ceux qui veulent aller plus loin, seront déjà ceux qui auront lu le sujet dédié du forum (pas très loin de ce fil-ci) ou qui, pour les plus dégourdis, auront su déchiffrer les indices, et donc, seront eux aussi venus lire le sujet dédié.

Sur le fil en question, il y sera décrit la procédure de /feed, mais contrairement à la V1 où elle est automatiquement acquise à tout visiteur, ici (c'est une proposition), il faudra activer la commande une première fois via un bloc de commande, avec un bouton ou un autre truc, plaque de pression, levier…

Le but est de faire une sorte de pre-sélection par la pratique, tout joueur un tant soit peu munis de bons sens s'en sortira sans souci.

Ensuite, il pourra alors postuler pour être recruté sur le V2, le petit exercice pratique concernant le /feed étant la condition unique mais nécessaire.

Et pis on va pas aller planquer un bouton en bois au milieu d'une jungle à 3 000 blocs non plus, on est suffisamment nombreux pour trouver une petite mini-aventure pour ça quand même oh ;)

Bien entendu, on me reprend si je connerise, je fais que des propositions hein ;)

Très simple : file moi un batch qui soit capable d'être dans /Etc/init.d et de lancer la commande suivante : "java -server -Xms1G -Xmx1G -jar BungeeCord.jar" danbs le path /home/minecraft/bungee.

Vu comme ça c'est limpide, mais te connaissant y'a un truc qui chie dans la colle là où que normalement y'a même pas de colle…

Déjà rassure moi, tu parle bien de /etc/ et pas /Etc/ hm… ;)

Idées :

- Pourquoi écrire dans le init.d, tu peux pas le faire une fois pour toute avec vi ?

- Un simple écho > init.d ?

… mouline …

Link to comment
Share on other sites

Pour faire les choses en règle : faut remplir ça correctement.

#! /bin/sh2. 3.### BEGIN INIT INFO4.# Provides:          skeleton5.# Required-Start:    $remote_fs $syslog6.# Required-Stop:     $remote_fs $syslog7.# Default-Start:     2 3 4 58.# Default-Stop:      0 1 69.# Short-Description: Example initscript10.# Description:       This file should be used to construct scripts to be11.#                    placed in /etc/init.d.12.### END INIT INFO13. 14.# Author: Foo Bar <foobar@baz.org>15. 16.DESC="Description of the service"17.NAME=daemonexecutablename18.DAEMON=/usr/sbin/$NAME19.DAEMON_ARGS="--options args"20.PIDFILE=/var/run/$NAME.pid21.SCRIPTNAME=/etc/init.d/$NAME22. 23.[ -x "$DAEMON" ] || exit 024.[ -r /etc/default/$NAME ] && . /etc/default/$NAME25.. /lib/init/vars.sh26.. /lib/lsb/init-functions27. 28.do_start()29.{30.  start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME31.  RETVAL="$?"32.  [ "$RETVAL" = 2 ] && return 233.  start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON34.  [ "$?" = 2 ] && return 235.  rm -f $PIDFILE36.  return "$RETVAL"37.}38. 39.do_stop() {40.  start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME41.  return 042.}43. 44.case "$1" in45.  start)46.    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"47.    do_start48.    case "$?" in49.      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;50.      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;51.    esac52.    ;;53. 54.  stop)55.    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"56.    do_stop57.    case "$?" in58.      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;59.      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;60.    esac61.    ;;62. 63.  status)64.    status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?65.    ;;66. 67.  restart)68.    log_daemon_msg "Restarting $DESC" "$NAME"69.    do_stop70.    case "$?" in71.      0|1)72.        do_start73.        case "$?" in74.          0) log_end_msg 075.          1) log_end_msg 176.            *) log_end_msg 177.        esac78.        ;;79.      *)80.        log_end_msg 181.        ;;82.    esac83.    ;;84. 85.  *)86.    echo "Usage: $SCRIPTNAME {start|stop|status|restart}" >&287.    exit 388.    ;;89.esac

Ce truc étant la version gentille mais je n'ai pas envie de le faire :'( parce qu'il faut TOUT remplacer par des trucs que comprend bungee :(

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share


×
×
  • Create New...